<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://about.me/bharatkambariya
 * @since      1.0.0
 *
 * @package    Seo_Spider_Tool
 * @subpackage Seo_Spider_Tool/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<?php
class Seo_Spider_Tool_Main {


	public static function init() {
		add_action('admin_menu', array(__CLASS__, 'add_settings_menu'));
	}

	public static function add_settings_menu() {
		add_options_page('seospidertool','SEO Spider Tool','manage_options', 'seo-spider-tool',array(__CLASS__, 'seo_spider_tool_menu'));
		//add_menu_page('SSEO Spider Tool', 'Get Post Option', 'manage_options', 'seo-spider-tool', array(__CLASS__, 'seo_spider_tool_menu'));
	}

	public static function seo_spider_tool_menu() {
		global $wpdb;
		echo '<div class="wrap">';
		echo '<h1>SEO Spider Tool</h1>';
		echo '</div>';
		echo '<table class="sst-table">
		<tr>
		  <th>No</th>
		  <th>Page ID</th>
		  <th>Page Name</th>
		  <th>Total H1</th>
		</tr>';
		$sstcount = 1 ;
		//echo "SELECT * FROM `".$wpdb->prefix."posts` WHERE post_type = 'page' and post_status='publish';";
		$pages =  $wpdb->get_results("SELECT * FROM `".$wpdb->prefix."posts` WHERE post_type = 'page' and post_status='publish';");
		
		if(!empty($pages)){
			foreach ($pages as $page) { 
				$count_h1 = 0;
				$file_get_cont = @file_get_contents( get_post_permalink($page) );
				$count_h1 = substr_count( $file_get_cont,"</h1>");
				$count_h1 += substr_count( $file_get_cont,"</h1 >");
				?>
				<tr>
				  <td><?php echo $sstcount; ?></td>
				  <td><?php echo $page->ID; ?></td>
				  <td><?php echo get_the_title($page); 	?></td>
				  <td><?php echo $count_h1; ?></td>
				</tr>
				<?php
				$sstcount++; 
			}
		}else{ ?>
		<tr><td>No any Pages Found</td></tr>
		<?php }
		echo '</table>';
		}
}
Seo_Spider_Tool_Main::init();